Package twisted :: Package coil :: Package plugins :: Module manhole :: Class ManholeConfigurator

[show private | hide private]
[frames | no frames]

## Class ManholeConfigurator

    Configurator --+
                   |
                  ManholeConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring. (inherited from `Configurator`)
| `config_serviceName(self, name)`
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)

Class Variable Summary
`str` | `configName`
`dict` | `configTypes`
`class` | `Service`

Class Variable Details

### configName

  Type:
    `str`
  Value:

        'Twisted Manhole PB Service'

### configTypes

  Type:
    `dict`
  Value:

        {'serviceName': [<type 'str'>, 'Service Name', '']}

### Service

`Service` = `twisted.manhole.service.Service`

Generated by Epydoc 1.1 on Thu May 8 13:18:17 2003 | http://epydoc.sf.net